[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Linux-cluster] problem at unplug cable,help



On Mon, 2006-12-04 at 14:29 -0500, Lon Hohberger wrote:
> On Thu, 2006-11-30 at 10:06 +0800, Superjunk wrote:
> > Hi,all
> > 
> > I'm trying to test a 2 node2 cluster(RHCS U4) with apache,
> > each node has one eth , connect with hub.
> > It could hand over work to node2 when I restart node1 or shutdown "rgmanager" with "service rgmanager stop";
> > but It counldn't hand over work to node2  when I unplug the cable on node1 that running apache current,
> > why,why,why?
> > could you help me?
> 
> It looks like a bug in the 'ip.sh' script.

This should make it work correctly.
### Eclipse Workspace Patch 1.0
#P cluster-RHEL4
Index: rgmanager/src/resources/ip.sh
===================================================================
RCS file: /cvs/cluster/cluster/rgmanager/src/resources/ip.sh,v
retrieving revision 1.5.2.15
diff -u -r1.5.2.15 ip.sh
--- rgmanager/src/resources/ip.sh	16 May 2006 20:03:04 -0000	1.5.2.15
+++ rgmanager/src/resources/ip.sh	5 Dec 2006 15:42:24 -0000
@@ -884,6 +884,9 @@
 		exit 0
 	fi
 	ip_op ${OCF_RESKEY_family} add ${OCF_RESKEY_address}
+	if [ $? -ne 0 ]; then
+		exit $OCF_ERR_GENERIC
+	fi
 
 	if [ $NFS_TRICKS -eq 0 ]; then
 		if [ "$OCF_RESKEY_nfslock" = "yes" ] || \

Attachment: signature.asc
Description: This is a digitally signed message part


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]